Invoices | List view

The Invoices List View end-point provides a list of Invoices associated with the requesting user.

Request URI

GET https://pluto.cargobase.com/api/1/invoices/
Content-Type: application/json
Authorization: Token your_token_here

Status codes

StatusDescriptionResolution
200OK--
403Forbiddencheck Authentication token

Request Response definition

Results (Main message)

KeyValueDefinition
shipment_referenceSTRINGCargobase Shipment ID
invoice_referenceSTRINGTitle of the Shipment, as provided by the Shipper
invoice_statusSTRINGCurrent status of the shipment, see list for potential status below
provider_nameSTRINGName of the provider / Freight forwarder submitting the invoice
provider_invoice_numberSTRINGA provider submitted invoice reference
freight_modeSTRINGAwarded Freight Mode
primary_tracking_numberSTRINGThe HAWB or main tracking number of the shipment
submit_dateSTRINGThe initial date the invoice was submitted
modifiedSTRINGThe Date and Time in UTC since the most recent update to this invoice

Invoice status options

StatusDefinition
Awaiting auditAn invoice that has been submitted, but is awaiting audit approval
ApprovedAn invoice that was approved
DeclinedAn invoice that was declined, and can be resubmitted by the provider
RemovedAn invoice that will not be submitted
CanceledAn invoice that was submitted, but retracted by the provider
UnsubmittedAn new or draft invoice (Visible to providers only)

"Footer"

KeyValueDefinition
previousSTRINGURL to the previous page, in case page number is higher than 1
record_endINTEGERNumber of the oldest invoice on the page
countINTEGERTotal number of Invoices available to the user, across all pages
pageINTEGERPage number
record_startINTEGERNumber of the first Invoice on the page
nextSTRINGURL to the previous page, in case page number is lower than the highest available

Pagination & Filters

Filter by date

Invoices can be listed based on their specific submission date, or by the current or previous month. Future updates will include more extensive filter options. To filter based on a specific date, append =submit_date=YYYY-MM-DD To filter based on last month, append =submit_date=last_month To filter based on this month, append =submit_date=this_month

Filter by status

Invoices can be listed based on their specific status, to do so the api call should include status=[status_value]

Status values

StatusValueDefinition
Awaiting auditawaiting_auditAn invoice that has been submitted, but is awaiting audit approval
ApprovedapprovedAn invoice that was approved
DeclineddeclinedAn invoice that was declined, and can be resubmitted by the provider
RemovedremovedAn invoice that will not be submitted
CanceledcanceledAn invoice that was submitted, but retracted by the provider
UnsubmittedunsubmittedAn new or draft invoice (Visible to providers only)

Pagination

The Invoice list results are paginated with 50 results per page by default. Results are displayed in descending order, that means that result 1 on page 1 is the newest addition. To request a specific page append ?page=XX to the URI. To request a specific number of items per page, append ?page_size=xx to the URI.

Example

Calling the API to show only approved invoices from last month

GET https://pluto.cargobase.com/api/1/invoices/?status=approved&submit_date=last_month
Content-Type: application/json
Authorization: Token your_token_here

Known issues

  • None at this moment.
Language
Response
Click Try It! to start a request and see the response here!